import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.Component;
import javax.swing.SwingConstants;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.IOException;
import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JCheckBox;
import javax.swing.JTextPane;
import javax.swing.JTextArea;

public class App {

	JFrame frame;
	static JTextField tfInputFile;
	static JTextField tfOutputFileName;
	JTextArea taRapor;
	

	/**
	 * Create the application.
	 */
	public App() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 463, 333);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		JLabel lblInputFileName = new JLabel("Girdi Dosyas\u0131:");
		lblInputFileName.setBounds(12, 28, 107, 16);
		frame.getContentPane().add(lblInputFileName);
		
		tfInputFile = new JTextField();
		tfInputFile.setHorizontalAlignment(SwingConstants.RIGHT);
		tfInputFile.setText("input2");
		tfInputFile.setBounds(93, 26, 67, 22);
		frame.getContentPane().add(tfInputFile);
		tfInputFile.setColumns(10);
		
		JLabel lbltxt = new JLabel(".txt");
		lbltxt.setBounds(161, 28, 56, 16);
		frame.getContentPane().add(lbltxt);
		
		JLabel lblOutputFileName = new JLabel("\u00C7\u0131kt\u0131 Dosyas\u0131:");
		lblOutputFileName.setEnabled(false);
		lblOutputFileName.setBounds(225, 60, 107, 16);
		frame.getContentPane().add(lblOutputFileName);
		
		tfOutputFileName = new JTextField();
		tfOutputFileName.setEnabled(false);
		tfOutputFileName.setHorizontalAlignment(SwingConstants.RIGHT);
		tfOutputFileName.setText("output2");
		tfOutputFileName.setColumns(10);
		tfOutputFileName.setBounds(306, 58, 67, 22);
		frame.getContentPane().add(tfOutputFileName);
		
		JLabel lblTxt = new JLabel(".txt");
		lblTxt.setEnabled(false);
		lblTxt.setBounds(374, 60, 56, 16);
		frame.getContentPane().add(lblTxt);
		
		JTextArea taRapor = new JTextArea();
		taRapor.setBounds(12, 136, 400, 137);
		frame.getContentPane().add(taRapor);
		
		JButton btnRun = new JButton("Run");
		btnRun.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0)  {
				
				try {
					MinSpTree.calistir();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				taRapor.setText("-- Prim Algoritmas Baaryla Sonland \n");
				taRapor.append("Birbirine Balanan Dm Says: " + String.valueOf(MinSpTree.ag.size())+"\n");
				taRapor.append("Balantlar: " + String.valueOf(MinSpTree.baglantilar)+"\n");
				taRapor.append("Toplam Yol: " + MinSpTree.toplamYol+"\n");
				if (MinSpTree.DosyayaYazdirilsinmi) {
					taRapor.append("Sonu " + MinSpTree.outputFileName + " isimli dosyaya yazdrld");
				}
			}
		});
		btnRun.setBounds(12, 89, 97, 25);
		frame.getContentPane().add(btnRun);
		
		JCheckBox chckDosyayaYazdir = new JCheckBox("Sonucu Dosyaya Yazd\u0131r");
		chckDosyayaYazdir.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {
				if (chckDosyayaYazdir.isSelected()) {
					lblOutputFileName.setEnabled(true);
					tfOutputFileName.setEnabled(true);
					lblTxt.setEnabled(true);
					MinSpTree.DosyayaYazdirilsinmi=true;
				} else {
					lblOutputFileName.setEnabled(false);
					tfOutputFileName.setEnabled(false);
					lblTxt.setEnabled(false);
					MinSpTree.DosyayaYazdirilsinmi=false;
				}
			}
		});
		chckDosyayaYazdir.setBounds(223, 24, 181, 25);
		frame.getContentPane().add(chckDosyayaYazdir);
		

		
	}

	public void showBest() {
		taRapor.setText(String.valueOf(MinSpTree.toplamYol));
		//taRapor.setText(String.valueOf(MinSpTree.baglantilar));
		
	}
	
	
	
}
